org.aspectj.internal.lang.reflect

## Class PerClauseImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.PerClauseImpl

All Implemented Interfaces:
  PerClause

Direct Known Subclasses:
  PointcutBasedPerClauseImpl, TypePatternBasedPerClauseImpl

    public class PerClauseImpl
    extends Object
    implements PerClause

Author:
  colyer

### Constructor Summary

Constructors
`protected` `PerClauseImpl(PerClauseKind kind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PerClauseKind` `getKind()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PerClauseImpl

    protected PerClauseImpl(PerClauseKind kind)

### Method Detail

#### getKind

    public PerClauseKind getKind()

Specified by:
  `getKind` in interface `PerClause`
Returns:
  the kind of per-clause (singleton, perthis, pertarget,...)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`